width = 3;     
height = 3;    
alw = 1.75;    
fsz = 24;      
lw = 2.5;      
msz = 8;       

dmn = [5, 8, 11, 14, 17, 20, 23];

data_experiments;

f0 = mean(F0);
f1 = mean(F1);
f2 = mean(F2);
f3 = mean(F3);
f4 = mean(F4);
f5 = mean(F5);
f6 = mean(F6);
f7 = mean(F7);
f8 = mean(F8);

figure(1);
plot(dmn, f0, '-*', dmn, f1, '-s', 'LineWidth', 4.5, 'MarkerSize', 20)
set(gca, 'FontSize', fsz, 'LineWidth', 2.5,...
'xtick',dmn,...
'xticklabel',{'5','8','11','14','17','20','47'})
legend('High Plane', 'Low Plane', 'Location', 'NorthWest');
xlabel('Number of Controlled Variables');
ylabel('Cost Function Value');

legend boxoff;
box off;

figure(2);
plot(dmn, f2, '-o', dmn, f3, '-d', ...
dmn, f4, '-x', dmn, f8, '->', 'LineWidth', 4.5, 'MarkerSize', 20)

set(gca, 'FontSize', fsz, 'LineWidth', 2.5,...
'xtick',dmn,...
'xticklabel',{'5','8','11','14','17','20','47'})
legend('Elbow Flexed', 'Shoulder Flexed', 'Shoulder Abducted', 'Arm Raised', 'Location', 'NorthEast');
xlabel('Number of Controlled Variables');
ylabel('Cost Function Value');

legend boxoff;
box off;

figure(3);
plot(dmn, f5, '-s', dmn, f6, '-+','LineWidth', 4.5, 'MarkerSize', 20)

set(gca, 'FontSize', fsz, 'LineWidth', 2.5,...
'xtick',dmn,...
'xticklabel',{'5','8','11','14','17','20','47'})
legend('High Speed', 'Light Weight', 'Location', 'NorthWest');
xlabel('Number of Controlled Variables');
ylabel('Cost Function Value');

legend boxoff;
box off;

ylim([0.035 0.07]);

figure(4);
plot(dmn, f7, '-^', 'LineWidth', 4.5, 'MarkerSize', 20);

set(gca, 'FontSize', fsz, 'LineWidth', 2.5,...
'xtick',dmn,...
'xticklabel',{'5','8','11','14','17','20','47'});
legend('Heavy Weight', 'Location', 'NorthEast');
xlabel('Number of Controlled Variables');
ylabel('Cost Function Value');
ylim([0 1.05]);

legend boxoff;
box off;